tabtrimming = fluidPage(

box(title = "Parameters :", width = 12, status = "primary", collapsible = TRUE, solidHeader = TRUE,

	selectInput("selecttrimming", label = "Select the tool to use : ", selected = "null", choices = list("trimmomatic" = "trimmomatic", "null" = "null")),

conditionalPanel(condition = "input.selecttrimming == 'trimmomatic'",box(title = "Trimmomatic", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		numericInput("trimmomatic_threads", label = "Number of threads to use", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		radioButtons("trimmomatic_qc_score", label = "Quality score encoding", choices = list("phred33" = "-phred33", "phred64" = "-phred64"),  selected = "-phred64", width =  "auto"),

		p("Trimmomatic: A flexible read trimming tool for Illumina NGS data"),

		p("Website : ",a(href="http://www.usadellab.org/cms/?page=trimmomatic","http://www.usadellab.org/cms/?page=trimmomatic",target="_blank")),

		p("Documentation : ",a(href="http://www.usadellab.org/cms/uploads/supplementary/Trimmomatic/TrimmomaticManual_V0.32.pdf","http://www.usadellab.org/cms/uploads/supplementary/Trimmomatic/TrimmomaticManual_V0.32.pdf",target="_blank")),

		p("Paper : ",a(href="https://doi.org/10.1093/bioinformatics/btu170","https://doi.org/10.1093/bioinformatics/btu170",target="_blank"))

	)),
conditionalPanel(condition = "input.selecttrimming == 'null'",box(title = "null", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		p("null: Skip this step")

	))))


